# Interface BatchOrderPattern

interface BatchOrderPattern {
individualQuantity ?: number;
numberOfOrders ?: number;
priceRange ?: { max?: number; min?: number };
side : string;
spacing ?: { type: "percentage" | "fixed"; value: number };
totalQuantity ?: number;
}

- Defined in src/types/index.ts:216

#####
Index

### Properties

individualQuantity?
numberOfOrders?
priceRange?
side
spacing?
totalQuantity?

##
Properties

### `Optional` individualQuantity

individualQuantity?: number

- Defined in src/types/index.ts:228

### `Optional` numberOfOrders

numberOfOrders?: number

- Defined in src/types/index.ts:227

### `Optional` priceRange

priceRange?: { max?: number; min?: number }

- Defined in src/types/index.ts:219

### side

side: string

- Defined in src/types/index.ts:217

### `Optional` spacing

spacing?: { type: "percentage" | "fixed"; value: number }

- Defined in src/types/index.ts:223

### `Optional` totalQuantity

totalQuantity?: number

- Defined in src/types/index.ts:218